Method | Description | |
---|---|---|
Execute ( ExternalCommandData revit, string &message, Autodesk elements ) : Autodesk.Revit.UI.Result |
The top level command.
|
Method | Description | |
---|---|---|
CheckLinearWallForEmbeddedColumns ( Wall wall, LocationCurve locationCurve, Curve wallCurve ) : void |
Checks a single linear wall for embedded columns.
|
|
CheckProfiledWallForEmbeddedColumns ( Wall wall, LocationCurve locationCurve, Curve wallCurve ) : void |
Checks a single curved/profiled wall for embedded columns.
|
|
CheckWallForEmbeddedColumns ( Wall wall ) : void |
Checks a single wall for embedded columns.
|
|
CheckWallsForEmbeddedColumns ( List |
Check a list of walls for embedded columns.
|
|
FindColumnsByDirection ( XYZ rayStart, XYZ rayDirection, double within, Wall wall ) : void |
Finds columns by projecting rays along a given direction.
|
|
FindColumnsOnEitherSideOfWall ( Wall wall, LocationCurve locationCurve, Curve wallCurve, double parameter, double elevation, double within ) : void |
Finds columns on either side of the given wall.
|
|
FindColumnsWithin ( IList |
Finds column elements which occur within a given set of references within the designated proximity, and stores them to the results.
|
|
Get3DView ( ) : void |
Get a 3D view from active document
|
|
GetElevationForRay ( Wall wall ) : double |
Obtains the elevation for ray casting evaluation for a given wall.
|
|
GetNormalToWallAt ( Wall wall, LocationCurve curve, double parameter ) : XYZ |
Finds the normal to the wall centerline at the given parameter.
|
|
GetTangentAt ( Curve curve, double parameter ) : XYZ |
Obtains the tangent of the given curve at the given parameter.
|
|
GetWallDeltaAt ( Wall wall, LocationCurve locationCurve, double parameter ) : XYZ |
Obtains the offset to the wall at a given location along the wall's profile.
|
|
LogWallCurve ( System.Line wallCurve ) : void |
Dump wall's curve(end points) to log
|
|
XYZToString ( XYZ point ) : String |
Format XYZ to string
|
public Execute ( ExternalCommandData revit, string &message, Autodesk elements ) : Autodesk.Revit.UI.Result | ||
revit | ExternalCommandData | An object that is passed to the external application /// which contains data related to the command, /// such as the application object and active view. |
message | string | A message that can be set by the external application /// which will be displayed if a failure or cancellation is returned by /// the external command. |
elements | Autodesk | A set of elements to which the external application /// can add elements that are to be highlighted in case of failure or cancellation. |
return | Autodesk.Revit.UI.Result |